Manufacturer Details
Show all manufacturer metadata along with its corresponding models.
curl --request GET \
--url https://api.remapdb.com/v2/manufacturers/{manufacturer_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.remapdb.com/v2/manufacturers/{manufacturer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.remapdb.com/v2/manufacturers/{manufacturer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "Audi",
"slug": "audi",
"logo": "https://cdn.remapdb.com/api/logos/audi.png",
"type": {
"id": 1,
"name": "Cars & LCV"
},
"models": [
{
"id": 123,
"name": "A4",
"slug": "a4",
"photo": "https://cdn.remapdb.com/api/generations/audi_a4_b9_fl.jpg",
"type": {
"id": 1,
"name": "Cars & LCV"
},
"manufacturer": {
"id": 1234,
"name": "Audi"
}
},
{
"id": 456,
"name": "A5",
"slug": "a5",
"photo": "https://cdn.remapdb.com/api/generations/audi_a5_b9.jpg",
"type": {
"id": 1,
"name": "Cars & LCV"
},
"manufacturer": {
"id": 1234,
"name": "Audi"
}
}
]
}Authorizations
All API methods require Bearer authentication. Use your existing API key as the bearer token.
Authorization header format: Authorization: Bearer YOUR_API_KEY.
Headers
Method accept custom language. Content of the header should be the code of the language you are requesting. E.g.: en.
bg, da, de, en, es, et, fi, fr, hr, it, lt, lv, nb, nl, nn, pt, ru, sv, tr, zs "en"
Path Parameters
Manufacturer ID.
1 <= x <= 90071992547409911234
Response
Success
Manufacturer metadata object
Stable catalogue ID. Private IDs start at 4294967296; all IDs are exact JavaScript-safe integers.
1 <= x <= 90071992547409911234
Manufacturer logo URL, or null when unavailable. Private logo URLs are durable CDN object URLs.
2048^[^\u0000-\u001F\u007F]*$"https://cdn.remapdb.com/vdb/logos/audi-light.svg"
Manufacturer logo URL, or null when unavailable. Private logo URLs are durable CDN object URLs.
2048^[^\u0000-\u001F\u007F]*$"https://cdn.remapdb.com/vdb/logos/audi-dark.svg"
List with all the models.
1000Show child attributes
Show child attributes
Name of the manufacturer.
2048^[^\u0000-\u001F\u007F]*$"Audi"
URL-friendly name (slug).
2048^[^\u0000-\u001F\u007F]*$"audi"
Vehicle type object
Show child attributes
Show child attributes
Shared catalogue record or an addition owned by the authenticated customer.
shared, private 